> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finseo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply Tag to Prompts

Adds a tag to one or more prompts. The tag is merged with existing prompt tags so you can organize Finseo tracking cohorts without replacing other labels.

<ParamField path="projectId" type="string" required>
  Project identifier.
</ParamField>

<ParamField body="name" type="string" required>
  Tag name (1–100 characters).
</ParamField>

<ParamField body="promptIds" type="array" required>
  Non-empty list of prompt UUIDs to update.
</ParamField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl --request POST \
    --url https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/tags \
    --header 'Authorization: Bearer sk_live_xxxxxxxx' \
    --header 'Content-Type: application/json' \
    --data '{
      "name": "Q1-2026",
      "promptIds": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890", "b2c3d4e5-f6a7-8901-bcde-f12345678901"]
    }'
  ```

  ```python Python theme={"system"}
  import requests

  payload = {
      "name": "Q1-2026",
      "promptIds": [
          "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      ],
  }
  r = requests.post(
      "https://api.finseo.ai/v1/projects/67a1c2d3e4f5061728394a5b/tags",
      headers={"Authorization": "Bearer sk_live_xxxxxxxx"},
      json=payload,
  )
  print(r.json()["data"])
  ```
</RequestExample>

<ResponseExample>
  ```json theme={"system"}
  {
    "data": {
      "tag": "Q1-2026",
      "appliedTo": 2
    }
  }
  ```
</ResponseExample>
